[3.3] Update von 3.3.4 auf 3.3.5 Probleme

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Flint
Mitglied
Beiträge: 55
Registriert: 06.07.2005 10:05

[3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Flint »

Hallo, ich habe heute "mal eben" mein Forum updaten. Ich habe mich an die Anleitung gehalten und wollte das Update aus dem Ordner "install" aufrufen.
Dann gab es nur eine weiße Seite mit viel Text drauf:

Code: Alles auswählen

[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s):
 
 und dann folgen viele Zeilen mit diesem bzw. ähnlichem Inhalt:
 
 (/var/www/webxx/htdocs/:/var/www/webxx/apps/:/var/www/webxx/priv/:/var/www/webxx/tmp/:/usr/share/pear/:/usr/share/php/:/tmp/)" in file /var/www/webxx/htdocs/hq-cooperation/forum/phpbb/class_loader.php on line 126[phpBB Debug] "file_exists(): open_basedir restriction in effect. File(../phpbb/cache/driver/file.php) is not within the allowed path(s):
Hat jemand einen Tipp für mich?
Vielen Dank im Voraus
Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 17026
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Dr.Death »

Ja,

wende Dich bitte an deinen Hoster.


file_exists(): open_basedir restriction in effect ist eine Misskonfiguration des Servers

Wenn du selbst keinen Zugriff auf die php.ini des Servers hast, wende dich bitte an deinen Hoster, damit er diesen Fehler abstellen kann.
Flint
Mitglied
Beiträge: 55
Registriert: 06.07.2005 10:05

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Flint »

Guten Morgen. Ich habe mich an meinen Hoster gewendet, aber die Antwort ist nicht zufriedenstellend.
Ihr Script versucht scheinbar, außerhalb des "/var/www/webxx/htdocs/" Verzeichnisses etwas zu lesen/schreiben und dies ist nicht erlaubt.

Allerdings ist die Fehlermeldung irritierend:
" File(../install/update/new/phpbb/cache/driver/file.php) is not within the allowed path(s)"

Ist das Forum direkt im "htdocs"-Ordner derzeit installiert? Warum versucht dieses dann, außerhalb davon auf das Dateisystem zuzugreifen, wo sich die besagten Dateien nicht befinden? Ich würde die Files in der folgenden Ordnerstruktur vermuten:

/var/www/webxx/htdocs/install/update/new/phpbb/cache/driver/file.php
Mein Forum ist natürlich (seit Jahren) am gleichen Ort, also INNERHALB der gebotenen Struktur. Und ich habe das seit 2006 immer so gemacht. Eine solche Fehlermeldung habe ich auch nie gehabt.
Als Laie wundere ich mich aber auch über den Pfad \install\update\new. Im Install Ordner befindet sich gar kein Verzeichnis "Update"... nur "Convert, converters und Schemas.
Gibt es vielleicht weitere Hinweise?
Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 17026
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Dr.Death »

Wie lautet die URL von der du versucht hast das Update aufzurufen ?

Vielleicht funktioniert da ein Redirect nicht richtig, weil das Installationsscript ein Verzeichnis "zurück" gehen möchte "../"
Und ein Verzeichnis zurück vom Web Root aus gesehen ist nicht erlaubt.
Flint
Mitglied
Beiträge: 55
Registriert: 06.07.2005 10:05

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Flint »

Hallo und vielen Dank für Deine Hilfe:

http://www.hq-cooperation.de/forum/install/
Benutzeravatar
Scanialady
Supporter
Supporter
Beiträge: 995
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Scanialady »

hast du möglicherweise die Anleitung nicht ganz befolgt, und vergessen, die Extensionen zu deaktivieren, ehe du das Update angestartet hast? Es gab einmal ähnliche Probleme im Zusammenhang mit der "Media Embed"-Extension.

Abgesehen davon ist bei "open_basedir restriction in effect" dein Server vom Hoster ein bißchen zu paranoid eingestellt in den Sicherheitsvorkehrungen. Im Zweifel ist es angebracht, sich einen besseren Anbieter zu suchen, der was von dem versteht, was er tut.
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen (ggf. auf Anfrage)
-
Die Bosheit trinkt die Hälfte ihres eigenen Giftes (Lucius Annaeus Seneca)
-
Wenn von etwas kein Backup existiert, dann ist es nicht wichtig.
Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 17026
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Dr.Death »

OK,

welches Update Paket genau hast du verwendet ?

Das empfohlene Komplett- und Updatepaket --> https://downloads.phpbb.de/pakete/deutsch/3.3/3.3.5/phpBB-3.3.5-deutsch.zip

Oder ein automatisches Update Paket --> https://downloads.phpbb.de/pakete/deutsch/3.3/3.3.5/phpBB-3.3.4-deutsch_to_3.3.5-deutsch.zip
Flint
Mitglied
Beiträge: 55
Registriert: 06.07.2005 10:05

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Flint »

Jetzt wo ich drüber nachdenke, ... ja, kann sein, dass ich das nicht gemacht habe...

contactadmin
aboutus
privacyprotection

waren wohl noch an. :oops:
Flint
Mitglied
Beiträge: 55
Registriert: 06.07.2005 10:05

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Flint »

Dr.Death hat geschrieben: 09.10.2021 09:59 OK,

welches Update Paket genau hast du verwendet ?

Das empfohlene Komplett- und Updatepaket --> https://downloads.phpbb.de/pakete/deutsch/3.3/3.3.5/phpBB-3.3.5-deutsch.zip

Oder ein automatisches Update Paket --> https://downloads.phpbb.de/pakete/deutsch/3.3/3.3.5/phpBB-3.3.4-deutsch_to_3.3.5-deutsch.zip
Ich habe Komplettpaket benutzt, wie ich es immer mache. Config.php unddie Orner Images, files und Store gelöscht und dann das Forum auf dem Server abzüglich der vorgeschriebenen Ordner gelöscht.
Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 17026
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: [3.3] Update von 3.3.4 auf 3.3.5 Probleme

Beitrag von Dr.Death »

Im Komplett Paket sind diese Dateien, die in der Fehlermeldung vorkommen aber nicht enthalten..... ?

Schau mal bitte hier:
Knowledge Base - Update-Anleitung für die phpBB-Versionen 3.1, 3.2 und 3.3

Abschnitt manuelles Update.

Dort werden die Dateien einfach "überschrieben" ( bis auf die genannten Ausnahmen ) und anschliessend vom Installer nur ein Datenbankupdate durchgeführt.

Das was Du beschreibst sind Vorgänge vom Automatischen Updater.......

Daher mein Tip: Lösche das Verzeichnis /install und benutze die bevorzugte Methode "manuelles Update"
Antworten

Zurück zu „Support-Forum“